<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Eddie: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Eddie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">EddieEndpoint Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classEddieEndpoint.html">EddieEndpoint</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classEddieEndpoint.html#a74069f4ca61eb820845e04e8e79fac86">add_resource</a>(EddieResource *resource)</td><td class="entry"><a class="el" href="classEddieEndpoint.html">EddieEndpoint</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEddieEndpoint.html#a6e5cdae0155792d7fb24d7946e733647">discover_rd</a>()</td><td class="entry"><a class="el" href="classEddieEndpoint.html">EddieEndpoint</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEddieEndpoint.html#af4a195aaa66df7a9f80a1a779dd7124b">EddieEndpoint</a>(const std::string &amp;port=&quot;5683&quot;, const std::string &amp;ip=&quot;&quot;)</td><td class="entry"><a class="el" href="classEddieEndpoint.html">EddieEndpoint</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="classEddieEndpoint.html#aaaa263a103754ccbc37201f76fa1500f">get_client</a>()</td><td class="entry"><a class="el" href="classEddieEndpoint.html">EddieEndpoint</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEddieEndpoint.html#adb40a77a9c022410d343b655b687783e">get_resources_from_rd</a>()</td><td class="entry"><a class="el" href="classEddieEndpoint.html">EddieEndpoint</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEddieEndpoint.html#aeaeb77ed5c8f985027b986002fa849d4">get_server</a>()</td><td class="entry"><a class="el" href="classEddieEndpoint.html">EddieEndpoint</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEddieEndpoint.html#a297457642ef038b839a451a90b481476">init_resource_dir_local</a>()</td><td class="entry"><a class="el" href="classEddieEndpoint.html">EddieEndpoint</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEddieEndpoint.html#ac2b7796e7b0f4d71b1eacc622ff95e2f">publish_resources</a>()</td><td class="entry"><a class="el" href="classEddieEndpoint.html">EddieEndpoint</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEddieEndpoint.html#a46183ccdfd5ac6799be0cf67c0c2ffc0">start_server</a>(bool blocking=false)</td><td class="entry"><a class="el" href="classEddieEndpoint.html">EddieEndpoint</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEddieEndpoint.html#a98c8ab9733c42b91da5d57ca3b90f046">stop_server</a>()</td><td class="entry"><a class="el" href="classEddieEndpoint.html">EddieEndpoint</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEddieEndpoint.html#a5f2facfeaa261ae316996d492efe0a3b">unpublish_resources</a>()</td><td class="entry"><a class="el" href="classEddieEndpoint.html">EddieEndpoint</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~EddieEndpoint</b>() (defined in <a class="el" href="classEddieEndpoint.html">EddieEndpoint</a>)</td><td class="entry"><a class="el" href="classEddieEndpoint.html">EddieEndpoint</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
